summaryrefslogtreecommitdiffstats
path: root/system/evolution-data-server
diff options
context:
space:
mode:
Diffstat (limited to 'system/evolution-data-server')
-rw-r--r--system/evolution-data-server/3.36.5-gtk-doc-1.32-compat.patch32
-rw-r--r--system/evolution-data-server/README22
-rw-r--r--system/evolution-data-server/doinst.sh10
-rw-r--r--system/evolution-data-server/evolution-data-server.SlackBuild166
-rw-r--r--system/evolution-data-server/evolution-data-server.info10
-rw-r--r--system/evolution-data-server/slack-desc19
6 files changed, 259 insertions, 0 deletions
diff --git a/system/evolution-data-server/3.36.5-gtk-doc-1.32-compat.patch b/system/evolution-data-server/3.36.5-gtk-doc-1.32-compat.patch
new file mode 100644
index 0000000000..3a202bee15
--- /dev/null
+++ b/system/evolution-data-server/3.36.5-gtk-doc-1.32-compat.patch
@@ -0,0 +1,32 @@
+From 24c7ca17eaf69211b75f2882c11aeff01a3cad01 Mon Sep 17 00:00:00 2001
+From: Mart Raudsepp <leio@gentoo.org>
+Date: Sat, 8 Aug 2020 18:59:25 +0300
+Subject: [PATCH] I#158 - Workaround build error with gtk-doc-1.32
+
+---
+ src/calendar/libecal/e-cal-time-util.h | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/calendar/libecal/e-cal-time-util.h b/src/calendar/libecal/e-cal-time-util.h
+index 8acb13061..11c9d3369 100644
+--- a/src/calendar/libecal/e-cal-time-util.h
++++ b/src/calendar/libecal/e-cal-time-util.h
+@@ -150,6 +150,7 @@ void time_to_gdate_with_zone (GDate *date,
+ * struct tm manipulation
+ **************************************************************************/
+
++#ifndef __GTK_DOC_IGNORE__
+ struct tm e_cal_util_icaltime_to_tm
+ (const ICalTime *itt);
+ struct tm e_cal_util_icaltime_to_tm_with_zone
+@@ -159,6 +160,7 @@ struct tm e_cal_util_icaltime_to_tm_with_zone
+ ICalTime * e_cal_util_tm_to_icaltime
+ (struct tm *tm,
+ gboolean is_date);
++#endif
+
+ G_END_DECLS
+
+--
+2.20.1
+
diff --git a/system/evolution-data-server/README b/system/evolution-data-server/README
new file mode 100644
index 0000000000..a06682602f
--- /dev/null
+++ b/system/evolution-data-server/README
@@ -0,0 +1,22 @@
+Evolution Data Server manages access to the calendar, tasks and
+addressbook information available for Evolution and other applications.
+
+It is a CORBA component which, when activated, allows concurrent access
+by several client applications to the same data, adding to that
+notifications of changes, which are signalled to all clients.
+
+Its extensible architecture, allows the addition of plugins to manage
+different kinds of calendar/tasks/addressbook sources, by just writing
+a shared library, which will be loaded by evolution-data-server on
+startup.
+
+Below variables can be used to configure the build:
+ INTROSPECTION=no : Enable GObject introspection
+ the dependecies must be compiled with
+ introspection or the build will fail.
+ VALA=no : Generate VALA bindings
+ Requires INTROSPECTION=YES
+ GTKDOC=yes : Use gtk-doc to build documentation
+ TESTS=yes : Enable installed tests
+ GCOV=yes : Enable build with GCOV code coverage
+ Requires gcov
diff --git a/system/evolution-data-server/doinst.sh b/system/evolution-data-server/doinst.sh
new file mode 100644
index 0000000000..4e32ba1722
--- /dev/null
+++ b/system/evolution-data-server/doinst.sh
@@ -0,0 +1,10 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/system/evolution-data-server/evolution-data-server.SlackBuild b/system/evolution-data-server/evolution-data-server.SlackBuild
new file mode 100644
index 0000000000..df1d1ae960
--- /dev/null
+++ b/system/evolution-data-server/evolution-data-server.SlackBuild
@@ -0,0 +1,166 @@
+#!/bin/bash
+
+# Slackware build script for evolution-data-server
+
+# Copyright 2022 Ozan Türkyılmaz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=evolution-data-server
+VERSION=${VERSION:-3.44.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+INTROSPECTION=${INTROSPECTION:-yes}
+VALA=${VALA:-yes}
+GTKDOC=${GTKDOC:-NO}
+TESTS=${TESTS:-NO}
+GCOV=${GCOV:-NO}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ "$VALA" = "yes" ]; then
+ VALAP="YES"
+ INTROSPECTION="yes"
+else
+ VALAP="NO"
+fi
+
+if [ "$INTROSPECTION" = "yes" ]; then
+ INTROSPECTIONP="YES"
+else
+ INTROSPECTIONP="NO"
+fi
+
+if [ "$GTKDOC" = "yes" ]; then
+ GTKDOCP="YES"
+else
+ GTKDOCP="NO"
+fi
+
+if [ "$TESTS" = "yes" ]; then
+ TESTSP="YES"
+else
+ TESTSP="NO"
+fi
+
+if [ "$GCOV" = "yes" ]; then
+ GCOVP="YES"
+else
+ GCOVP="NO"
+fi
+
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#This is patch to fix build with gtkdoc from Gentoo
+patch -p1 < $CWD/3.36.5-gtk-doc-1.32-compat.patch
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DENABLE_INTROSPECTION="$INTROSPECTIONP" \
+ -DENABLE_UOA=OFF \
+ -DENABLE_VALA_BINDINGS="$VALAP" \
+ -DENABLE_INSTALLED_TESTS="$TESTSP" \
+ -DENABLE_GOOGLE=ON \
+ -DENABLE_GOOGLE_AUTH=ON \
+ -DWITH_LDAP=ON \
+ -DWITH_GWEATHER4=ON \
+ -DENABLE_GTK_DOC="$GTKDOCP" \
+ -DWITH_SYSTEMDUSERUNITDIR=no \
+ -DENABLE_GOA=ON \
+ -DENABLE_GTK=ON \
+ -DENABLE_CODE_COVERAGE="$GCOVP" \
+ -DENABLE_SMIME=ON \
+ -DENABLE_IPV6=ON \
+ -DBUILD_TESTING=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..\
+ -G Ninja
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING NEWS ChangeLog MAINTAINERS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/evolution-data-server/evolution-data-server.info b/system/evolution-data-server/evolution-data-server.info
new file mode 100644
index 0000000000..df86e99474
--- /dev/null
+++ b/system/evolution-data-server/evolution-data-server.info
@@ -0,0 +1,10 @@
+PRGNAM="evolution-data-server"
+VERSION="3.44.4"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution/"
+DOWNLOAD="https://download.gnome.org/sources/evolution-data-server/3.44/evolution-data-server-3.44.4.tar.xz"
+MD5SUM="fe8f0b1b77594589d6897de4b160015e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libgweather4 libgdata"
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
diff --git a/system/evolution-data-server/slack-desc b/system/evolution-data-server/slack-desc
new file mode 100644
index 0000000000..5f78ce69db
--- /dev/null
+++ b/system/evolution-data-server/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+evolution-data-server: evolution-data-server (Desktop Information Store)
+evolution-data-server:
+evolution-data-server: The evolution-data-server provides a single database for common,
+evolution-data-server: desktop-wide information such as a user's address book.
+evolution-data-server:
+evolution-data-server:
+evolution-data-server:
+evolution-data-server:
+evolution-data-server: https://wiki.gnome.org/Apps/Evolution/
+evolution-data-server:
+evolution-data-server: